Bug 148517 - Maintainer update: science/jstrack from 3.0.2 to 3.0.3
Summary: Maintainer update: science/jstrack from 3.0.2 to 3.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-12 10:50 UTC by Chris Rees
Modified: 2010-07-15 14:20 UTC (History)
0 users

See Also:


Attachments
jstrack303.patch (14.50 KB, patch)
2010-07-12 10:53 UTC, Chris Rees
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2010-07-12 10:50:03 UTC
	Update from 3.0.2 to 3.0.3, and fix the path problems of the previous release; no need to sed the source code, just put a cd into the startup script

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--7XGDxSdfrUq8uhirvbEh0HOPMGLHApkSi6UciPzAav0qtM0O
Content-Type: text/plain; name="jstrack303.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="jstrack303.patch"

diff -ruN jstrack.orig/Makefile jstrack/Makefile
--- jstrack.orig/Makefile	2010-06-30 05:10:11.000000000 +0100
+++ jstrack/Makefile	2010-07-12 10:35:55.000000000 +0100
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	jstrack
-PORTVERSION=	3.0.2
+PORTVERSION=	3.0.3
 CATEGORIES=	science
-MASTER_SITES=	http://www.jstrack.org/jstrack/downloads/ \
+MASTER_SITES=	http://www.jstrack.org/${PORTNAME}/downloads/ \
 		http://www.bayofrum.net/dist/${PORTNAME}/
 
 MAINTAINER=	utisoft@gmail.com
@@ -24,7 +24,7 @@
 LICENSE_TEXT=	It is and always will be free, and [Jim Graham] wrote it...\
 		so don't charge money for it, and don't claim that you wrote it
 
-WRKSRC=	${WRKDIR}/${PORTNAME}
+WRKSRC=		${WRKDIR}/${PORTNAME}
 USE_TCL_RUN=	84
 USE_TK=		84
 NO_BUILD=	yes
@@ -55,9 +55,5 @@
 	@${CHMOD} ugo+rx ${PREFIX}/lib/${PORTNAME}/${d}/*.t*
 .endfor
 	@(cd ${PREFIX}/lib/${PORTNAME} && ${TCLSH} autoconfig.tcl && ${RM} paths.tcl.old)
-.for f in filt/filt.tcl ftpfilt/autoftp.override.tcl ftpfilt/autoftp.tcl ftpfilt/ftp.tcl ftpfilt/ftplib.tcl ftpfilt/old_ftplib.tcl tracker/jstrack-text_only.tcl tracker/jstrack.tcl
-	@${REINPLACE_CMD} 's#\.\./paths.tcl#${PREFIX}/lib/jstrack/paths.tcl#g' \
-		${PREFIX}/lib/${PORTNAME}/${f}
-.endfor
 
 .include <bsd.port.mk>
diff -ruN jstrack.orig/distinfo jstrack/distinfo
--- jstrack.orig/distinfo	2010-06-29 08:02:26.000000000 +0100
+++ jstrack/distinfo	2010-07-12 10:28:56.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (jstrack-3.0.2.tar.gz) = 4f3364b5c2b5d3d088e27cc537cf0152
-SHA256 (jstrack-3.0.2.tar.gz) = adab5b6d720109d0f593a61a2647902b4dfe63bf2d3e814d4de5d79ac77af03f
-SIZE (jstrack-3.0.2.tar.gz) = 1425575
+MD5 (jstrack-3.0.3.tar.gz) = ddd25e8623eb1007a611397a0ed2e421
+SHA256 (jstrack-3.0.3.tar.gz) = a5665973dc4385ad9c1d3c4980bd811a34206024dc4b6d36873f8f8d9905fb6a
+SIZE (jstrack-3.0.3.tar.gz) = 1691869
diff -ruN jstrack.orig/files/jstrack.sh.in jstrack/files/jstrack.sh.in
--- jstrack.orig/files/jstrack.sh.in	2010-06-29 08:02:26.000000000 +0100
+++ jstrack/files/jstrack.sh.in	2010-07-12 10:28:22.000000000 +0100
@@ -7,4 +7,5 @@
 }]} {
     set myName $linkName
 }
+cd %%PREFIX%%/lib/jstrack/tracker
 source [file join [file dirname $myName] %%PREFIX%%/lib/jstrack/tracker/jstrack.tcl]
Comment 1 Chris Rees 2010-07-12 10:53:13 UTC
Oops, forgot about pkg-plist. New patch!

Chris
Comment 2 Thomas Abthorpe freebsd_committer 2010-07-12 20:11:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-07-15 14:19:26 UTC
tabthorpe    2010-07-15 13:19:08 UTC

  FreeBSD ports repository

  Modified files:
    science/jstrack      Makefile distinfo pkg-plist 
    science/jstrack/files jstrack.sh.in 
  Log:
  - Update to 3.0.3
  
  PR:             ports/148517
  Submitted by:   Chris Rees <utisoft gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -7      ports/science/jstrack/Makefile
  1.2       +3 -3      ports/science/jstrack/distinfo
  1.2       +1 -0      ports/science/jstrack/files/jstrack.sh.in
  1.2       +187 -48   ports/science/jstrack/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2010-07-15 14:19:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!